Gostaria de instalar o editor de texto da distro Elementory os o "code", na distro Deepin:)

1. Gostaria de instalar o editor de texto da distro Elementory os o "code", na distro Deepin:)

Tiago reis
sukuna

(usa Outra)

Enviado em 10/03/2021 - 19:23h

Espero que alguem possa me ajudar aqui
estou querendo instalar o editor de texto "code" do elementory os
na minha distro Deepin
sou novo no linux
gostei do Deepin
so q gostei do editor de texto do elementory os
tem até uma pagina do github mostrando como instala
só que não conseguir fazer os passos
pelo fato de não entender um pouco ainda os comandos
espero que alguem aqui me ajude kkkkk
segue o link da pagina
https://github.com/elementary/code


  


2. Re: Gostaria de instalar o editor de texto da distro Elementory os o "code", na distro Deepin:)

Ryuk Shinigami
Ryuk

(usa Nenhuma)

Enviado em 10/03/2021 - 21:09h

Primeiro instale as dependências.
sudo apt install git build-essential meson libeditorconfig-dev libgail-3-dev libgee-0.8-dev libgit2-glib-1.0-dev libgtksourceview-4-dev libgtkspell3-3-dev libgranite-dev libhandy-1-dev libpeas-dev libsoup2.4-dev libvala-0.42-dev libvte-2.91-dev libzeitgeist-2.0-dev valac  

Obs.: Se reclamar que não encontrou o pacote "libhandy-1-dev" é porque ele não está nos repositórios oficiais do "Debian 10 buster" (O Deepin é baseado no Debian 10, se não me engano). Mas pode ser instalado pelo "debian-backports" (adicione "deb http://ftp.debian.org/debian/ buster-backports main" ao "sources.list")

Agora siga os passos abaixo:
git clone https://github.com/elementary/code.git
cd code/
meson build --prefix=/usr
cd build/
ninja test
sudo ninja install
io.elementary.code








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts